Summary:       List or change SCSI/SATA disk parameters
Name:          sdparm
Version:       1.12
Release:    1%{?dist}
License:       BSD
URL:           http://sg.danny.cz/sg/sdparm.html
Source0:       http://sg.danny.cz/sg/p/sdparm-%{version}.tgz
BuildRequires: make
BuildRequires: gcc
BuildRequires: sg3_utils-devel

%description 
SCSI disk parameters are held in mode pages. This utility lists or
changes those parameters. Other SCSI devices (or devices that use the
SCSI command set e.g. some SATA devices) such as CD/DVD and tape
drives may also find parts of sdparm useful.

Fetches Vital Product Data pages. Can send commands to start or stop
the media and load or unload removable media.

Warning: It is possible (but unlikely) to change SCSI disk settings
such that the disk stops operating or is slowed down. Use with care.

%prep
%setup -q

%build
%configure --disable-libsgutils
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

%files
%license COPYING
%doc ChangeLog README CREDITS AUTHORS notes.txt
%{_bindir}/sdparm
%{_bindir}/sas_disk_blink
%{_bindir}/scsi_ch_swp
%{_mandir}/man8/sdparm*
%{_mandir}/man8/sas_disk_blink*
%{_mandir}/man8/scsi_ch_swp*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-1
- initial build
